#include <gtk/gtk.h>
#include "eggtrayicon.h"

static void
systray_init (void)
{
	EggTrayIcon *tray_icon;
	GtkWidget   *label;

	tray_icon = egg_tray_icon_new("myApp");

	if (!tray_icon)
		g_error ("Unable to create systray icon.");

	label = gtk_label_new("");
	gtk_label_set_markup(GTK_LABEL(label), "<span size='small' background='yellow' color='black'>Nimopur</span>");

	gtk_container_add (GTK_CONTAINER(tray_icon), label);

	gtk_widget_show_all(GTK_WIDGET(tray_icon));
	gtk_widget_realize(GTK_WIDGET(tray_icon));
	gtk_widget_show(GTK_WIDGET(tray_icon));
}


static GtkWidget *
make_hbox (const gchar *txt, const gchar *imagefn)
{
	GtkWidget *hbox, *label, *img;

	hbox = gtk_hbox_new(FALSE, 10);

	label = gtk_label_new(txt);
	img = gtk_image_new_from_file(imagefn);

	gtk_container_add(GTK_CONTAINER(hbox), label);
	gtk_container_add(GTK_CONTAINER(hbox), img);

	return hbox;
}

int
main (int argc, char **argv)
{
	GtkWidget *window, *vbox;
	GtkWidget *hbox2, *label2, *img2;

	gtk_init(&argc, &argv);

	window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

	vbox = gtk_vbox_new(TRUE, 10);

	gtk_container_add(GTK_CONTAINER(vbox), make_hbox("This is how the panel should look:", "shouldbe.png"));
	gtk_container_add(GTK_CONTAINER(vbox), make_hbox("This is how it looks in KDE:", "is.png"));

	gtk_container_add(GTK_CONTAINER(window), vbox);

	gtk_widget_show_all(window);

	g_signal_connect(window, "delete-event", gtk_main_quit, NULL);

	systray_init();

	gtk_main();

	return 0;
}



